Bug 1416912 - Organization Labels don't have strong validation
Summary: Organization Labels don't have strong validation
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Organizations and Locations
Version: 6.2.6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-26 19:05 UTC by Matt Reid
Modified: 2019-08-12 15:06 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-04 17:46:16 UTC
Target Upstream Version:


Attachments (Terms of Use)
Organization Label (16.19 KB, image/png)
2017-01-26 19:05 UTC, Matt Reid
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 21786 0 None None None 2017-11-27 15:00:39 UTC

Description Matt Reid 2017-01-26 19:05:53 UTC
Created attachment 1244835 [details]
Organization Label

Description of problem:
Creating an Organization in Sat 6.2.6 leaves the creation of Organization labels up to the user, when there are different rules for names and labels. The rules for acceptable characters aren't explained, and aren't caught until you try to save the Organization. 

In QCI, in places where labels are needed, I've seen the labels field disabled, and auto-filled, replacing any characters that don't work with labels with underscores, so that it's always a valid name. I'm not sure if that's specific to QCI, or if that's QCI reusing code from Satellite, but that seems like a nicer way to approach the Label field. As far as I know, it's an internal value to make sure that it's unique, and we can worry less about the Name or whatever value is being turned into a label, in which case, we should be able to see what it is, but doesn't seem important to let users name it themselves.

If we need to let them be user editable, validation should happen before trying to save it, or happen live and replace special characters with an underscore when they try to type it.

Version-Release number of selected component (if applicable):
6.2.6


Additional info:

Comment 2 Ondřej Pražák 2017-11-27 15:00:36 UTC
Created redmine issue http://projects.theforeman.org/issues/21786 from this bug

Comment 3 Bryan Kearney 2018-09-04 17:46:16 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and we do not expect this to be implemented in the product in the foreseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.


Note You need to log in before you can comment on or make changes to this bug.